## theoradec theoradec — decode raw theora streams to raw YUV video |

## Synopsis

                        GstTheoraDec;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstTheoraDec

## Properties

      "crop"                     gboolean              : Read / Write

## Description

This element decodes theora streams into raw video Theora is a royalty-free video codec maintained by the Xiph.org Foundation, based on the VP3 codec.

### Example pipeline

    gst-launch -v filesrc location=videotestsrc.ogg ! oggdemux ! theoradec ! xvimagesink

This example pipeline will decode an ogg stream and decodes the theora video. Refer to the theoraenc example to create the ogg file.

Last reviewed on 2006-03-01 (0.10.4)

## Synopsis

### Element Information

plugin | theora
author | Benjamin Otte <in7y118@public.uni-hamburg.de>, Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-theora

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc){ I420, Y42B, Y444 }, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Synopsis

### Element Information

plugin | theora
author | Benjamin Otte <in7y118@public.uni-hamburg.de>, Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-theora

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc){ I420, Y42B, Y444 }, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Details

### GstTheoraDec

    typedef struct _GstTheoraDec GstTheoraDec;

Opaque object data structure.

## Property Details

### The `"crop"` property

      "crop"                     gboolean              : Read / Write

Crop the image to the visible region.

Default value: TRUE

## See Also

theoraenc, oggdemux